Bug 1463276 - RHOSP 10 and 11 NFV configuration guide heat templates do not match the drawings
RHOSP 10 and 11 NFV configuration guide heat templates do not match the drawings
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandra McCann
RHOS Documentation Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 09:24 EDT by Ganesh Kadam
Modified: 2017-08-01 11:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 11:50:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ganesh Kadam 2017-06-20 09:24:45 EDT
Description of problem:

Cu is referring to NETWORK FUNCTIONS VIRTUALIZATION CONFIGURATION GUIDE
for both RHOSP 10 and RHOSP 11. They wan to setup the OVS-DPDK with VLAN isolation, but as per them the default configuration appears to be incorrect.


The network drawing does not match the configuration in the heat templates. The control plane network appears to be set on bond1 on the controller which has nic2 and 3 and nic1 is left without an IP.


No IP is assigned to communicate with the undercloud during install and thus installation of both controller and compute stall and network configuration times out. Both documents are configured this way but there is no explanation as to why this is expected to work.


Version-Release number of selected component (if applicable):

RHOSP 10,11 NETWORK FUNCTIONS VIRTUALIZATION CONFIGURATION GUIDE

How reproducible:

[Section B1.5 and B1.4]

nic 1 is supposed to be the provisioning NIC but there is no routing assigned to it and the control ip is assigned to the Linux bridge below it which is on nic2. I believe that the provisioning network should have the Control IP assigned to it as well as the default route.  

Note: The comment above is specifically for RHOSP 10. Similar issue in 11.


Actual results:

Templates as shown in the manuals does not work correctly

Expected results:

Templates as shown in the manuals  should work correctly
Comment 3 Eyal Dannon 2017-06-27 02:53:31 EDT
Hi,

The templates at the documentation you referred to are verified in our lab,
those templates are only samples and of course you will need to modify it to fit your environment.
we'll be glad to help you to do so.
The provisioning network could be assigned to each one of the NICs/bonding interface depending on your design.

Please, paste the templates your are trying to use and the design you are trying to achieve.

Thanks,

Note You need to log in before you can comment on or make changes to this bug.